List Commitments
Retrieve a list of Commitments.
Retrieves a list of all Commitments associated with an Organization. This endpoint supports pagination and includes various query parameters to filter the Commitments based on Account, Product, date, and end dates.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
Specifies the maximum number of Commitments to retrieve per page.
1 <= x <= 100The nextToken for multi-page retrievals. It is used to fetch the next page of Commitments in a paginated list.
The unique identifier (UUID) for the Account. This parameter helps filter the Commitments related to a specific end-customer Account.
The unique identifier (UUID) for the Product. This parameter helps filter the Commitments related to a specific Product.
A date (in ISO-8601 format) to filter Commitments which are active on this specific date.
A date (in ISO-8601 format) used to filter Commitments. Only Commitments with end dates on or after this date will be included.
NOTE: You cannot use the endDateStart query parameter as a single filter condition, but must always use it in combination with the accountId query parameter.
A date (in ISO-8601 format) used to filter Commitments. Only Commitments with end dates before this date will be included.
NOTE: You cannot use the endDateEnd query parameter as a single filter condition, but must always use it in combination with the accountId query parameter.
A list of unique identifiers (UUIDs) for the Commitments to retrieve. Use this to fetch specific Commitments in a single request.
The unique identifier (UUID) for the Contract. This parameter helps filter the Commitments related to a specific Contract.
36